package ch.hevs.isi.db;


import ch.hevs.isi.core.DataPoint;
import ch.hevs.isi.core.DataPointListener;

public class DatabaseConnector implements DataPointListener {
    private static DatabaseConnector  mySelf = null;

    private DatabaseConnector (){

    }

    public static DatabaseConnector  getMySelf(){
        if (mySelf == null){
            mySelf = new DatabaseConnector();
        }
        return mySelf;
    }
    public void initialize(String url){

    }

    private void pushToDatabase(DataPoint dp){
        System.out.println(dp.toString() + " -> Database");
    }

    @Override
    public void onNewValue(DataPoint dp) {
        pushToDatabase(dp);
    }
}
